#!/bin/sh
echo "RaPiER Project REF TEK Utilities Install & Configuration"
echo "Frank Sepulveda"
echo "Baylor University"
echo "frank_sepulveda@baylor.edu"
echo "Updated: 10/10/2015"
echo "********************************************************"
echo "Creating log directory..."
cd /home/reftek
sudo mkdir log
sudo chown reftek:reftek /home/reftek/log
sudo chmod 755 /home/reftek/log
echo "********************************************************"
cd /home/pi
echo "Copying REF TEK utilities from pi to reftek user..."
#rtp, rtpd service (start/stop) 
sudo cp rtp /home/reftek
#rtpd, A workstation program that provides error-corrected communications with REF TEK DAS units
sudo cp rtpd /home/reftek
#rtpd.ini, Configuration file for RTPD
sudo cp rtpd.ini /home/reftek
echo "********************************************************"
cd /home/reftek
echo "Modify REF TEK utilities owner/permission..."
sudo chown reftek:reftek /home/reftek/rtp*
sudo chmod 4555 /home/reftek/rtp*
sudo chmod 644 /home/reftek/rtpd.ini
sudo chmod 777 /home/reftek/rtp
echo "********************************************************"
cd /home/reftek
echo "Installing RTP service..."
sudo mv /home/reftek/rtp /etc/init.d
sudo chown root:root /etc/init.d/rtp
sudo chmod 555 /etc/init.d/rtp
sudo ln -s /etc/init.d/rtp /etc/rc0.d/K20rtp
sudo ln -s /etc/init.d/rtp /etc/rc1.d/K20rtp
sudo ln -s /etc/init.d/rtp /etc/rc2.d/K20rtp
sudo ln -s /etc/init.d/rtp /etc/rc3.d/S80rtp
sudo ln -s /etc/init.d/rtp /etc/rc4.d/K20rtp
sudo ln -s /etc/init.d/rtp /etc/rc5.d/S80rtp
sudo ln -s /etc/init.d/rtp /etc/rc6.d/K20rtp
echo "********************************************************"
cd /home/pi
echo "Copying archive utilities from pi to reftek user..."
#arcreate, Creates an archive
cp arccreate /home/reftek
#arcinfo, Views and verifies current status of the local archive
cp arcinfo /home/reftek
#arcfetch, Assembles raw data from the archive for processing
cp arcfetch /home/reftek
#arcrebuild, Rebuilds an archive from a corrupted
cp arcrebuild /home/reftek
#arccopy, Copy an archive from one medium to another (not working)
cp arccopy /home/reftek
#arcwrite, Archive raw REF TEK data into an existing archive
cp arcwrite /home/reftek
echo "********************************************************"
cd /home/reftek
echo "Modify archive utilities owner/permission..."
sudo chown reftek:reftek /home/reftek/arc*
sudo chmod 4555 /home/reftek/arc*
echo "********************************************************"
cd /home/reftek
echo "Creating archive..."
echo "********************************************************"
./arccreate /home/reftek/data/archive
echo "********************************************************"
echo "Done" 
echo "********************************************************"

